import React from 'react';
import { Card, Avatar, Spin } from 'antd';
import { getUserDetail } from '@/services/user';

const defAva = 'https://gw.alipayobjects.com/zos/antfincdn/XAosXuNZyF/BiazfanxmamNRoxxVxka.png';

export default (props) => {
  const { userId } = props;

  const [loading, setLoading] = React.useState(false);
  const [user, setUser] = React.useState({});

  React.useEffect(() => {
    if (userId) {
      setLoading(true);
      getUserDetail(userId)
        .then((res) => {
          setUser(res);
          setLoading(false);
        })
        .catch((err) => {
          console.error(err);
          setLoading(false);
        });
    }
  }, [userId]);

  return (
    <Card
      loading={loading}
      cover={
        <div style={{ margin: '0 auto', marginTop: '2em', width: '128px' }}>
          <Avatar src={user.avatar || defAva} size={128} />
        </div>
      }
    >
      <Card.Meta
        title={<div style={{ textAlign: 'center' }}>{user.userName}</div>}
        description={<div style={{ textAlign: 'center' }}>{user.phone}</div>}
      />
    </Card>
  );
};
