import React from 'react';
import { Button, Form, Col, Row } from 'antd';

export function FormItem(props) {
  return (
    <Col span={6}>
      <Form.Item {...props}>{props.children}</Form.Item>
    </Col>
  );
}

export default (props) => {
  const { initialValues, onFinish } = props;

  const [form] = Form.useForm();

  const onReset = () => {
    form.resetFields();
  };

  const offset = (3 - (props.children.length % 4)) * 6;

  return (
    <Form form={form} initialValues={initialValues} onFinish={onFinish}>
      <Row gutter={24}>
        {props.children}
        <Col span={6} offset={offset} style={{ textAlign: 'right' }}>
          <Button onClick={onReset}>重置</Button>
          <Button type="primary" htmlType="submit" style={{ margin: '0 8px' }}>
            查询
          </Button>
        </Col>
      </Row>
    </Form>
  );
};
