import request from '@/utils/request';

/**
 * 查询作业列表
 * @param {*} params
 * @returns
 */
export const getJobList = (params) => request('/work-job', { params });

/**
 * 查询作业详情
 * @param {*} params
 * @returns
 */
export const getJobDetail = (id) => request(`/work-job/${id}`);

/**
 * 查询作业GIS
 * @param {*} params
 * @returns
 */
export const getJobGISDetail = (params) => request(`/machinery-gps`, { params });

/**
 * 查询作业列表2
 * @param {*} params
 * @returns
 */
export const getDeviceJobList = (params) => request('/device-job', { params });

/**
 * 作业统计
 * @param {*} params
 * @returns
 */
export const getDeviceJobByOrg = (params) => request('/device-job/by-org', { params });

/**
 * 作业统计导出
 * @param {*} params
 * @returns
 */
export const exportDeviceJobByOrg = (params) => request('/device-job/by-org/export', { params });
